Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.infoml.jaxb.impl
Class EmTypeImpl.PreImpl.Unmarshaller

    java.lang.Object
      org.infoml.jaxb.impl.runtime.AbstractUnmarshallingEventHandlerImpl
          org.infoml.jaxb.impl.EmTypeImpl.PreImpl.Unmarshaller

Enclosing class:
  EmTypeImpl.PreImpl

    public class EmTypeImpl.PreImpl.Unmarshaller

extends org.infoml.jaxb.impl.runtime.AbstractUnmarshallingEventHandlerImpl

Constructor Summary
`` | `EmTypeImpl.PreImpl.Unmarshaller(org.infoml.jaxb.impl.runtime.UnmarshallingContext context)`
`protected` | `EmTypeImpl.PreImpl.Unmarshaller(org.infoml.jaxb.impl.runtime.UnmarshallingContext context, int startState)`

Method Summary
`void` | `enterAttribute(java.lang.String ___uri, java.lang.String ___local, java.lang.String ___qname)`
`void` | `enterElement(java.lang.String ___uri, java.lang.String ___local, java.lang.String ___qname, org.xml.sax.Attributes __atts)`
`void` | `handleText(java.lang.String value)`
`void` | `leaveAttribute(java.lang.String ___uri, java.lang.String ___local, java.lang.String ___qname)`
`void` | `leaveElement(java.lang.String ___uri, java.lang.String ___local, java.lang.String ___qname)`
`java.lang.Object` | `owner()`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### EmTypeImpl.PreImpl.Unmarshaller

    public EmTypeImpl.PreImpl.Unmarshaller(org.infoml.jaxb.impl.runtime.UnmarshallingContext context)

### EmTypeImpl.PreImpl.Unmarshaller

    protected EmTypeImpl.PreImpl.Unmarshaller(org.infoml.jaxb.impl.runtime.UnmarshallingContext context,
                                              int startState)

Method Detail

### owner

    public java.lang.Object owner()

### enterElement

    public void enterElement(java.lang.String ___uri,
                             java.lang.String ___local,
                             java.lang.String ___qname,
                             org.xml.sax.Attributes __atts)
                      throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### leaveElement

    public void leaveElement(java.lang.String ___uri,
                             java.lang.String ___local,
                             java.lang.String ___qname)
                      throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### enterAttribute

    public void enterAttribute(java.lang.String ___uri,
                               java.lang.String ___local,
                               java.lang.String ___qname)
                        throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### leaveAttribute

    public void leaveAttribute(java.lang.String ___uri,
                               java.lang.String ___local,
                               java.lang.String ___qname)
                        throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

### handleText

    public void handleText(java.lang.String value)
                    throws org.xml.sax.SAXException

  Throws:
    `org.xml.sax.SAXException`

Overview | Package | Class | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD